// MorphingTest.java
package morphingtool;

import java.awt.*;
import javax.swing.*;

public class MorphingTest {

  private JFrame frameImage1,  frameImage2;
  private MorphingTestContainer testContainer1,  testContainer2;
  private Point la1,  ra1,  m1;
  private Point la2,  ra2,  m2;
  // Bild Konstanten
  private final int BILD_BREITE = 300;
  private final int BILD_HOEHE = 300;

  // Constructor
  public MorphingTest() {
    // Fenster Objekte erzeugen
    frameImage1 = new JFrame("Bild1");
    frameImage2 = new JFrame("Bild2");
    // Ecken der roten Startdreiecke definieren
    la1 = new Point(12, 54);
    ra1 = new Point(220, 94);
    m1 = new Point(116, 250);
    la2 = new Point(146, 124);
    ra2 = new Point(292, 110);
    m2 = new Point(230, 280);
    // Rote Startdreiecke in die Container übertragen
    testContainer1 = new MorphingTestContainer(BILD_BREITE, BILD_HOEHE, la1, ra1, m1);
    testContainer2 = new MorphingTestContainer(BILD_BREITE, BILD_HOEHE, la2, ra2, m2);
    // Zeige Fenster an
    fensterAnzeigen();
  }

  private void fensterAnzeigen() {
    // Generell alle Fenster schöner darstellen
    JFrame.setDefaultLookAndFeelDecorated(true);
    // Knöpfe zum Schliessen "aktivieren"
    frameImage1.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
    frameImage2.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
    // Grösse der Fenster an die Container Grössen anpassen
    frameImage1.getContentPane().add(testContainer1);
    frameImage2.getContentPane().add(testContainer2);
    frameImage1.pack();
    frameImage2.pack();
    // Fenster nebeneinander legen
    frameImage1.setLocation(0, 0);
    frameImage2.setLocation(320, 0);
    // Alle Fenster anzeigen lassen
    frameImage1.setVisible(true);
    frameImage2.setVisible(true);
  }

  public static void main(String[] args) {
    new MorphingTest();
  }
}

